<?xml version="1.0" encoding="UTF-8"?>

<ClassComponent localName="NPCFaceWaterTank" description="Компонент бак для воды."
	fileName="NPCFaceWaterTank.jar" className="org.mati.npc.faces.NPCFaceWaterTank"
	version="9345" time="17.02.2009 16:31:02">

	<Group>Умный дом</Group>

	<!--INLINKS BEGIN-->
	<INLink name="InGetComponent"
		description="Связь с компонентом контейнером."
		interfaceName="org.mati.npc.components.interfaces.NPCFaceComponent"
		linksNumber="1" nullable="false">
	</INLink>
	<INLink name="InSetColor"
		description="Связь, служащая для передачи цвета шрифта и цвета фона в компонент бак для воды."
		interfaceName="org.mati.npc.components.interfaces.NPCColorable"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="InVisibility"
		description="Входящая связь допускает изменение видимости компонента."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="1" nullable="true">
	</INLink>
		<INLink name="InEnable"
		description="Входящая связь допускает enable/disable компонента."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="1" nullable="true">
	</INLink>
	<!--INLINKS END-->

	<!--OUTLINKS BEGIN-->
	<OUTLink name="OutGetWaterTankLevel"
		description="Связь, служащая для получения информации о уровнях воды в баке и их состоянии."
		interfaceName="org.mati.npc.components.interfaces.WaterTankLevel"
		linksNumber="0" nullable="false">
	</OUTLink>
	<!--OUTLINKS END-->

	<!--PROPERTIES BEGIN-->
	<Attribute name="PositionX"
		description="Координата левого верхнего угла по оси X (относительная)."
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="PositionY"
		description="Координата левого верхнего угла по оси Y (относительная)."
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="SizeWidth" description="Ширина бака для воды."
		defaultValue="20"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="SizeHeight" description="Высота бака для воды."
		defaultValue="20"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="Text" description="Текст на баке."
		defaultValue="Бак"
		type="java.lang.String" nullable="false">
	</Attribute>
	<Attribute name="ContentColor"
		description="Цвет заливки для неиспользуемой области бака."
		defaultValue="16777215"
		type="java.awt.Color" nullable="false">
	</Attribute>
	<!--PROPERTIES END-->

</ClassComponent>
